
        USE, INTRINSIC :: ISO_C_BINDING
        USE, INTRINSIC :: ISO_FORTRAN_ENV
        implicit none

        write(*,*) 'C_FLOAT   : ', C_FLOAT
        write(*,*) 'C_DOUBLE  : ', C_DOUBLE
        write(*,*) 'C_FLOAT128: ', C_FLOAT128

        write(*,*) 'REAL32    : ', REAL32
        write(*,*) 'REAL64    : ', REAL64
        write(*,*) 'REAL128   : ', REAL128

        write(*,*) 'sel(6)    : ', selected_real_kind(6,37)
        write(*,*) 'sel(15)   : ', selected_real_kind(15,307)
        write(*,*) 'sel(16)   : ', selected_real_kind(16,307)
        write(*,*) 'sel(33)   : ', selected_real_kind(33,4931)
        end

